Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultDmppType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultDmppType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultDmppType extends Object implements Serializable

Java class for ConsultDmppType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultDmppType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Price" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
             <element name="Cheap" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Cheapest" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Reimbursable" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="DeliveryEnvironment" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="CodeType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ProductId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultDmppType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `String`
  `getCode()`
  Code number used to uniquely identify a package or a group of packages being delivered in a given environment and reimbursed according to the same rules.
  `String`
  `getCodeType()`
  Type of the mentioned code, among the following: - ‘CNK’: Code National – Nationale Kode .
  `String`
  `getDeliveryEnvironment()`
  Type of environment in which a medicinal product is delivered.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `BigDecimal`
  `getPrice()`
  Price in Euro of the AMPP in this environment.
  `String`
  `getProductId()`
  Code uniquely identifying a prescribable product on a specific date.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `Boolean`
  `isCheap()`
  This product is considered by NIHDI as cheap.
  `Boolean`
  `isCheapest()`
  This product is considered by NIHDI as the cheapest on the market.
  `Boolean`
  `isReimbursable()`
  By default, a DMPP is not reimbursed, even if an existing reimbursement context references the same CNK.
  `void`
  `setCheap(Boolean value)`
  Sets the value of the cheap property.
  `void`
  `setCheapest(Boolean value)`
  Sets the value of the cheapest property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setCodeType(String value)`
  Sets the value of the codeType property.
  `void`
  `setDeliveryEnvironment(String value)`
  Sets the value of the deliveryEnvironment property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setPrice(BigDecimal value)`
  Sets the value of the price property.
  `void`
  `setProductId(String value)`
  Sets the value of the productId property.
  `void`
  `setReimbursable(Boolean value)`
  Sets the value of the reimbursable property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultDmppType

    public ConsultDmppType()

- ## Method Details

  - ### getPrice

    public BigDecimal getPrice()
    Price in Euro of the AMPP in this environment.
    Returns:
      possible object is `BigDecimal`

  - ### setPrice

    public void setPrice(BigDecimal value)
    Sets the value of the price property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getPrice()`

  - ### isCheap

    public Boolean isCheap()
    This product is considered by NIHDI as cheap.
    Returns:
      possible object is `Boolean`

  - ### setCheap

    public void setCheap(Boolean value)
    Sets the value of the cheap property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isCheap()`

  - ### isCheapest

    public Boolean isCheapest()
    This product is considered by NIHDI as the cheapest on the market.
    Returns:
      possible object is `Boolean`

  - ### setCheapest

    public void setCheapest(Boolean value)
    Sets the value of the cheapest property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isCheapest()`

  - ### isReimbursable

    public Boolean isReimbursable()
    By default, a DMPP is not reimbursed, even if an existing reimbursement context references the same CNK. The NIHDI must set this flag explicitly to True if the DMPP is Reimbursable.
    Returns:
      possible object is `Boolean`

  - ### setReimbursable

    public void setReimbursable(Boolean value)
    Sets the value of the reimbursable property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isReimbursable()`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getDeliveryEnvironment

    public String getDeliveryEnvironment()
    Type of environment in which a medicinal product is delivered. Possible values : - ‘P’ for Public, - ‘A’ for Ambulatory, - ‘H’ for Hospital, - ‘R’ For Residential care
    Returns:
      possible object is `String`

  - ### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)
    Sets the value of the deliveryEnvironment property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDeliveryEnvironment()`

  - ### getCode

    public String getCode()
    Code number used to uniquely identify a package or a group of packages being delivered in a given environment and reimbursed according to the same rules.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getCodeType

    public String getCodeType()
    Type of the mentioned code, among the following: - ‘CNK’: Code National – Nationale Kode . This code is attributed by the APB (“Association Pharmaceutique Belge”) to identify unequivocally one medicinal product package, or by the NIHDI for identifying tarification units, which meet to the same reimbursement criteria. - ‘PSEUDO’: Pseudo-code used for the flat-pricing of drugs in certain environments such as radiopharmaca in hospitals.
    Returns:
      possible object is `String`

  - ### setCodeType

    public void setCodeType(String value)
    Sets the value of the codeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCodeType()`

  - ### getProductId

    public String getProductId()
    Code uniquely identifying a prescribable product on a specific date. Used to prove the consultation of SAM.
    Returns:
      possible object is `String`

  - ### setProductId

    public void setProductId(String value)
    Sets the value of the productId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductId()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`